Skip to main content
POST
/
projects
/
{project_reference}
/
triggers
Create Project Trigger
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/triggers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "agent_id": "<string>",
  "prompt_template": "<string>",
  "sample_payload": null
}
'
{
  "trigger": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "source": "webhook",
    "agent_id": "<string>",
    "prompt_template": "<string>",
    "status": "draft",
    "webhook_id": "<string>",
    "webhook_url": "<string>",
    "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "last_successful_test_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "enabled_at": "<string>",
    "disabled_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "sample_payload": null
  },
  "webhook_secret": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1

Body

application/json
name
string
required
Required string length: 1 - 120
agent_id
string
required
Required string length: 1 - 128
prompt_template
string
required
Required string length: 1 - 20000
sample_payload
unknown

Response

Created trigger

trigger
object
required
webhook_secret
string
required